/**
 * CharQueueStarter.java (a FIFO data structure)
 *
 * This class implements the Queue Abstract Data Type 
 * by modifying the implementation of an ArrayList<Character> 
 * to adhere to the Queue interface.
 * 
 * instance variables: queue, an ArrayList<Character> object.
 * 
 * constructors: 1 zero-parameter
 * 
 * methods: void enqueue(Character ch)
 *          Character dequeue() throws RunTimeException: "Queue is empty"
 *          Character peek() throws RunTimeException: "Queue is empty"
 *          boolean isEmpty()
 */
import java.util.*;

class CharQueueStarter {
    
    // define instance variable queue to be an ArrayList of Characters
    
    // Create a new, empty queue 
    public CharQueueStarter(){
        // instantiate instance variable queue
    }
    
     /**
     * Instance method enqueue
     * Put Character object at rear of queue
     */
    public void enqueue(Character obj) {
        // use proper notation to put obj on right 
        // end of stack
    }
    
    /**
     * Instance method dequeue
     * return value of front and remove it from queue.
     * 
     * Throws an object of type RuntimeException if queue
     * is empty.
     */
    public Character dequeue() throws RuntimeException{
        // if queue is empty, throw a RunTime Exception.
        // otherwise, use the proper notation to remove
        // and return the leftmost item from the stack.
        return 'A';
    }
    
    /**
     * Instance method peek
     * return value of front element on queue.
     * 
     * Throws an object of type RuntimeException if queue
     * is empty.
     */
    Character peek() throws RuntimeException{
        // if queue is empty, throw a RunTime Exception.
        // otherwise, use the proper notation to return
        // the leftmost item of the stack without removing it.
        return 'B';
    }
    
    /**
     * Instance method empty
     * Uses status of front pointer to determine when stack is
     * empty
     */
    public boolean isEmpty() {
        // use proper notation to return true if there
        // are no items on queue
        return false; 
    }
    
}  // end of class CharQueueStarter
